summaryrefslogtreecommitdiffstats
path: root/bin/git-upstream-add
diff options
context:
space:
mode:
Diffstat (limited to 'bin/git-upstream-add')
-rwxr-xr-xbin/git-upstream-add7
1 files changed, 7 insertions, 0 deletions
diff --git a/bin/git-upstream-add b/bin/git-upstream-add
index b4a6a97..615df42 100755
--- a/bin/git-upstream-add
+++ b/bin/git-upstream-add
@@ -22,6 +22,13 @@ then
exit 1
fi
+if [ -e .gitattributes ]
+then
+ ( cat .gitattributes | grep -v 'filter=lfs' > .gitattributes.tmp ) || true
+ rm -f .gitattributes
+ mv .gitattributes.tmp .gitattributes
+fi
+
if [ ! -d .git ]
then
git init --shared